Component (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io.sstable
Class Component

    java.lang.Object
      org.apache.cassandra.io.sstable.Component

    public class Component

extends java.lang.Object

SSTables are made up of multiple components in separate files. Components are identified by a type and an id, but required unique components (such as the Data and Index files) may have implicit ids assigned to them.

Field Summary
`static Component` | `COMPACTED_MARKER`
`static Component` | `COMPRESSION_INFO`
`static Component` | `DATA`
`static Component` | `DIGEST`
`static Component` | `FILTER`
`int` | `hashCode`
`int` | `id`
`static Component` | `PRIMARY_INDEX`
`static char` | `separator`
`static Component` | `STATS`
`org.apache.cassandra.io.sstable.Component.Type` | `type`

Constructor Summary
`Component(org.apache.cassandra.io.sstable.Component.Type type)`
`Component(org.apache.cassandra.io.sstable.Component.Type type, int id)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`static Pair<Descriptor,Component>` | `fromFilename(java.io.File directory, java.lang.String name)` Filename of the form "/-[tmp-][-]-",
`int` | `hashCode()`
`java.lang.String` | `name()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### separator

    public static final char separator

See Also:
  Constant Field Values

### DATA

    public static final Component DATA

### PRIMARY_INDEX

    public static final Component PRIMARY_INDEX

### FILTER

    public static final Component FILTER

### COMPACTED_MARKER

    public static final Component COMPACTED_MARKER

### COMPRESSION_INFO

    public static final Component COMPRESSION_INFO

### STATS

    public static final Component STATS

### DIGEST

    public static final Component DIGEST

### type

    public final org.apache.cassandra.io.sstable.Component.Type type

### id

    public final int id

### hashCode

    public final int hashCode

Constructor Detail

### Component

    public Component(org.apache.cassandra.io.sstable.Component.Type type)

### Component

    public Component(org.apache.cassandra.io.sstable.Component.Type type,
                     int id)

Method Detail

### name

    public java.lang.String name()

  Returns:
    The unique (within an sstable) name for this component.

### fromFilename

    public static Pair<Descriptor,Component> fromFilename(java.io.File directory,
                                                          java.lang.String name)

  Filename of the form "/-[tmp-][-]-",

  Returns:
    A Descriptor for the SSTable, and a Component for this particular file. TODO move descriptor into Component field

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation